import { type MarkSpec, type NodeSpec, Schema } from 'prosemirror-model';
import type { SchemaDynamicModifier } from "./SchemaDynamicModifier.js";
export declare class SchemaSpecRegistry {
    #private;
    constructor(topNode?: string, dynamicModifier?: SchemaDynamicModifier);
    addNode(name: string, spec: NodeSpec): this;
    addMark(name: string, spec: MarkSpec): this;
    createSchema(): Schema<string, string>;
}
